//
//  control_button.cpp - control button implementation
//
//  $Id: control_button.cpp 37 2014-02-06 17:38:11Z brian $ 
//
//  Copyright (c) 1999-2014 by Precision Micro Control Corp. All rights reserved.
//
#include "stdafx.h"

ControlButton::ControlButton() :
	m_proc_addr(NULL)
{
}

BEGIN_MESSAGE_MAP(ControlButton, CButton)
	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()
END_MESSAGE_MAP()

void ControlButton::OnLButtonDown(UINT flags, CPoint point)
{
	// Call control panel member function with control ID
	theApp.GetControlPanel()->LeftButtonDown(GetDlgCtrlID());
	CButton::OnLButtonDown(flags, point);
}

void ControlButton::OnLButtonUp(UINT flags, CPoint point)
{
	// Call control panel member function with control ID
	theApp.GetControlPanel()->LeftButtonUp(GetDlgCtrlID());
	CButton::OnLButtonUp(flags, point);
}
